
local gr,pi,sin,cos = love.graphics,math.pi,math.sin,math.cos

function love.load()
	sw, sh	= 800, 640
	love.window.setMode( sw, sh, { borderless = true } )
	gr.setBackgroundColor( 55, 0, 255 )
	dr, st = 1, 1
	int = 255
	an=0
	end

function love.update( dt )
	if st <= 0.8 and dr ==  1 then st = st + dt/2 end
	if st >= 0.1 and dr == -1 then st = st - dt/2 end
	if st <= 0.1 or st >= 0.8 then dr = -dr end
	spr = spring( st)
	int = int + dr
	an = an + dt
	end

function love.draw()
	love.graphics.setColor( 255, 255, 255 )
	gr.push()
	gr.translate(400,300)
	gr.rotate(an,an)
	for i = 1, #spr -1 do
		if spr[i][1] - spr[i+1][1] >= 0 then
			gr.setColor( 55, 55, 55 )
			else
			gr.setColor( 175, 175, 88 )
			end
		gr.circle( 'fill', spr[i][1], spr[i][2], 5 )
		end
		gr.translate(-400,-300)
	gr.pop()
	ball()
	end
function ball()
	for i = 0, 30 do
		gr.setColor( ( 52 - i ) * 5, 0, 0, int )
		gr.circle( 'line', 100, 100, i )
		gr.setColor(175,175,175)
		end
	for i = 31,36 do gr.circle('line',100,100,i,int) end
	end

function love.keypressed( key )
	if key == 'escape'	then love.event.quit() end
	end

function spring( st )
	local fig		= {}
	local j			= 1
	local rx, ry	= 80,40
	local cx, cy	= 0,0
	local loops		= 5
	cy = cy - loops * 100 * st / 2
	for l = 1, loops do
		for i = 0, 2*pi, pi/50 do
			j = j + st
			x = rx*cos(i+2*st)+cx
			y = ry*sin(i+2*st)+cy+j
			fig[#fig+1] = { x, y }
			end
		end
	return fig
	end

function median( a )
	table.sort( a )
	if #a % 2 ~= 0 then
		return a[ math.ceil( #a / 2 ) ]
		else
		return ( a[ #a / 2 ] + a[ #a/2 + 1 ]) / 2
		end
	end


